cascading.flow.local

## Class LocalFlowStep

- java.lang.Object
- - cascading.flow.planner.BaseFlowStep<Properties>
  - - cascading.flow.local.LocalFlowStep

- All Implemented Interfaces:
    FlowStep<Properties>, ProcessModel, ProcessLogger, Serializable

      public class LocalFlowStep
      extends BaseFlowStep<Properties>

  Class LocalFlowStep is the local mode implementation of `FlowStep`.
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class cascading.flow.planner.BaseFlowStep

      `flowStepStats, sinks, sources, tempSink`

    - ### Fields inherited from interface cascading.flow.FlowStep

      `CASCADING_FLOW_STEP_ID`

    - ### Fields inherited from interface cascading.util.ProcessLogger

      `NULL`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LocalFlowStep(ElementGraph elementGraph, FlowNodeGraph flowNodeGraph)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clean(Properties config)`
    `protected FlowStepJob<Properties>` | `createFlowStepJob(ClientState clientState, FlowProcess<Properties> flowProcess, Properties initializedStepConfig)`
    `Properties` | `createInitializedConfig(FlowProcess<Properties> flowProcess, Properties parentConfig)`
    `Map<Object,Object>` | `getConfigAsProperties()`
    `Map<Tap,Properties>` | `getPropertiesMap()`
    `protected void` | `initTaps(FlowProcess<Properties> flowProcess, Properties conf, Set<Tap> taps, boolean isSink)`

    - ### Methods inherited from class cascading.flow.planner.BaseFlowStep

      `addAllGroups, addGroup, addGroups, addListener, addProcessAnnotation, addProcessAnnotation, addSink, addSinks, addSource, addSources, clean, commitSinks, configure, containsPipeNamed, createClientState, equals, fireOnCompleted, fireOnRunning, fireOnStarting, fireOnStopping, fireOnThrowable, getAllAccumulatedSources, getAllOperations, getAnnotations, getConfig, getCreateFlowStepJob, getElementGraph, getFlow, getFlowID, getFlowName, getFlowNodeGraph, getFlowStepDescriptor, getFlowStepJob, getFlowStepStats, getGroup, getGroups, getID, getName, getNextFlowElement, getNextScope, getNodeDisplayName, getNumFlowNodes, getOrdinal, getPreviousScopes, getProcessAnnotations, getSink, getSinkElements, getSinkName, getSinkTaps, getSinkWith, getSourceElements, getSourceName, getSourceTaps, getSourceWith, getStepDisplayName, getStepDisplayName, getSubmitPriority, getTrap, getTrapMap, getTraps, hashCode, hasListeners, initConfFromNodeConfigDef, initConfFromStepConfigDef, isDebugEnabled, isInfoEnabled, logDebug, logError, logError, logInfo, logWarn, logWarn, logWarn, prepareResources, removeListener, rollbackSinks, setConfig, setFlow, setFlowName, setFlowStepDescriptor, setFlowStepStats, setName, setOrdinal, setSubmitPriority, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### LocalFlowStep

          public LocalFlowStep(ElementGraph elementGraph,
                       FlowNodeGraph flowNodeGraph)

  - ### Method Detail

    - #### getConfigAsProperties

          public Map<Object,Object> getConfigAsProperties()

      Specified by:
        `getConfigAsProperties` in interface `FlowStep<Properties>`
      Overrides:
        `getConfigAsProperties` in class `BaseFlowStep<Properties>`

    - #### createInitializedConfig

          public Properties createInitializedConfig(FlowProcess<Properties> flowProcess,
                                           Properties parentConfig)

      Specified by:
        `createInitializedConfig` in class `BaseFlowStep<Properties>`

    - #### initTaps

          protected void initTaps(FlowProcess<Properties> flowProcess,
                      Properties conf,
                      Set<Tap> taps,
                      boolean isSink)

    - #### clean

          public void clean(Properties config)

      Specified by:
        `clean` in class `BaseFlowStep<Properties>`

    - #### createFlowStepJob

          protected FlowStepJob<Properties> createFlowStepJob(ClientState clientState,
                                                  FlowProcess<Properties> flowProcess,
                                                  Properties initializedStepConfig)

      Specified by:
        `createFlowStepJob` in class `BaseFlowStep<Properties>`

    - #### getPropertiesMap

          public Map<Tap,Properties> getPropertiesMap()

Copyright © 2007-2015 Concurrent, Inc. All Rights Reserved.